# Chatbots

> [Conceptual Guide](https://docs.langchain.com/docs/use-cases/chatbots)


Since language models are good at producing text, that makes them ideal for creating chatbots.
Aside from the base prompts/LLMs, an important concept to know for Chatbots is `memory`.
Most chat based applications rely on remembering what happened in previous interactions, which `memory` is designed to help with.

The following resources exist:
- [ChatGPT Clone](../modules/agents/agent_executors/examples/chatgpt_clone.ipynb): A notebook walking through how to recreate a ChatGPT-like experience with LangChain.
- [Conversation Memory](../modules/memory/getting_started.ipynb): A notebook walking through how to use different types of conversational memory.
- [Conversation Agent](../modules/agents/agents/examples/conversational_agent.ipynb): A notebook walking through how to create an agent optimized for conversation.


Additional related resources include:
- [Memory Key Concepts](../modules/memory.rst): Explanation of key concepts related to memory.
- [Memory Examples](../modules/memory/how_to_guides.rst): A collection of how-to examples for working with memory.

More end-to-end examples include:
- [Voice Assistant](chatbots/voice_assistant.ipynb): A notebook walking through how to create a voice assistant using LangChain.
